### Method

# Gio SocketClient set_family

since: 2.22

#### Declaration [src]

    void
    g_socket_client_set_family (
      GSocketClient* client,
      GSocketFamily family
    )

#### Description [src]

Sets the socket family of the socket client. If this is set to something other than `G_SOCKET_FAMILY_INVALID` then the sockets created by this object will be of the specified family.

This might be useful for instance if you want to force the local connection to be an ipv4 socket, even though the address might be an ipv6 mapped to ipv4 address.

Available since: 2.22

Sets property | `Gio.SocketClient:family`

#### Parameters

`family`

  Type: `GSocketFamily`

  A `GSocketFamily`.